Aml.Editor.Plugin.ModellingWizard Class Reference

ModellingWizard is an PlugIn, which implements the IAMLEditorView Interface. More...

Inheritance diagram for Aml.Editor.Plugin.ModellingWizard:

## Public Member Functions

| ModellingWizard ()
void | ChangeAMLFilePath (string amlFilePath)
| Changes the current amlFilePath. More...
void | ChangeSelectedObject (CAEXBasicObject selectedObject)
| Changes the selected object. More...
void | ExecuteCommand (PluginCommandsEnum command, string amlFilePath)
| This Method is called from the AutomationML Editor to execute a specific command. More...
void | PublishAutomationMLFileAndObject (string amlFilePath, CAEXBasicObject selectedObject)
| This Method is called on activation of a PlugIn. More...
void | changeGUI (System.Windows.Forms.Control content)
| Replace the Content in the Plugin window with the Windows Forms GUI More...

## Public Attributes

DockPositionEnum | InitialDockPosition => DockPositionEnum.Floating
| Gets the initial dock position for the PlugIn window. More...
string | PackageName => ""
| Gets the package name which is used to download the PlugIn package from a NuGet feed. More...
BitmapImage | PaneImage => null
| Gets the image which should be used in the Header of the PlugIn window. More...

## Properties

System.Windows.Input.ICommand?? | AboutCommand `[get]`
| The AboutCommand - Command More...
PluginCommand | ActivatePlugin `[get]`
| Gets the Command to activate the PlugIn. More...
PluginCommand | ReloadObjects `[get]`
| Gets the Command to reload the AMLX Files in . More...
bool | CanClose `[get]`
| Gets a value indicating whether this UserControl could be closed from the Editor's WindowManager. More...
List< PluginCommand > | Commands `[get]`
| Gets the List of commands, which are viewed in the PlugIn Menu in the Host Application More...
string | DisplayName `[get]`
| Gets the display name which is shown in the PlugIn Menu in the Host Application More...
bool | IsActive `[get]`
| Gets a value indicating whether this instance is active. More...
bool | IsReactive `[get]`
| Gets a value indicating whether this instance is reactive. More...
bool | IsReadonly `[get]`
| Gets a value indicating whether this instance is read only. More...
PluginCommand | TerminatePlugin `[get]`
| Gets the terminate PlugIn command. More...
bool | IsAutoActive `[get, set]`
| Gets or sets a value indicating whether this instance is automatic active when loaded. More...

## Events

EventHandler | PluginActivated
| Occurs when the PlugIn is activated (for example via the StartCommand ). More...
EventHandler | PluginTerminated
| Occurs when the PlugIn is deactivated (some UserInteraction inside the PlugIn or via the StopCommand ). More...

## Detailed Description

ModellingWizard is an PlugIn, which implements the IAMLEditorView Interface.

The PlugIn is a UserControl, which is managed by the AutomationML Editors Window- and Docking - Manager. The Export Attribute enables the AutomationML Editor to load the PlugIn with the Microsoft Managed Extensibility Framework.

## Constructor & Destructor Documentation

## ModellingWizard()

Aml.Editor.Plugin.ModellingWizard.ModellingWizard | ( |  | ) |

inline

## Member Function Documentation

## ChangeAMLFilePath()

void Aml.Editor.Plugin.ModellingWizard.ChangeAMLFilePath | ( | string | amlFilePath | ) |

inline

Changes the current amlFilePath.

The Host Application will call this method when the PlugIns P:Aml.Editor.Plugin.Contracts.IAMLEditorPlugin.IsReactive Property is set to true and the Currently opened AutomationML File changes in the AMLEditor Host Application.

Parameters

  amlFilePath | The Path to the current AML File in the AML Editor.

## changeGUI()

void Aml.Editor.Plugin.ModellingWizard.changeGUI | ( | System.Windows.Forms.Control | content | ) |

inline

Replace the Content in the Plugin window with the Windows Forms GUI

Parameters

  content | The Form to be displayed in the plugin window

## ChangeSelectedObject()

void Aml.Editor.Plugin.ModellingWizard.ChangeSelectedObject | ( | CAEXBasicObject | selectedObject | ) |

inline

Changes the selected object.

The Host Application will call this method when the PlugIns P:Aml.Editor.Plugin.Contracts.IAMLEditorPlugin.IsReactive Property is set to true and the Current Selection changes in the AMLEditor Host Application.

Parameters

  selectedObject | The selected CAEX - object.

## ExecuteCommand()

void Aml.Editor.Plugin.ModellingWizard.ExecuteCommand | ( | PluginCommandsEnum | command,
|  | string | amlFilePath
| ) |  |

inline

This Method is called from the AutomationML Editor to execute a specific command.

The Editor can only execute those commands, which are identified by the PluginCommandsEnum Enumeration. The Editor may execute the termination command of the PlugIn, so here some preparations for a clean termination should be performed.

Parameters

  command | The command.
  amlFilePath | The amlFilePath.

## PublishAutomationMLFileAndObject()

void Aml.Editor.Plugin.ModellingWizard.PublishAutomationMLFileAndObject | ( | string | amlFilePath,
|  | CAEXBasicObject | selectedObject
| ) |  |

inline

This Method is called on activation of a PlugIn.

The AutomationML Editor 'publishes' its current state to the PlugIn, that is the Path of the loaded AutomationML Document and the currently selected AutomationML Object'. Please note, that the objects may be empty or null.

Parameters

  amlFilePath | The AML file path, may be empty.
  selectedObject | The selected object, may be null.

## Member Data Documentation

## InitialDockPosition

DockPositionEnum Aml.Editor.Plugin.ModellingWizard.InitialDockPosition => DockPositionEnum.Floating

Gets the initial dock position for the PlugIn window.

## PackageName

string Aml.Editor.Plugin.ModellingWizard.PackageName => ""

Gets the package name which is used to download the PlugIn package from a NuGet feed.

If a Package name is defined, the AMLEditor can update PlugIn packages independently from its own update cycle.

The package name.

## PaneImage

BitmapImage Aml.Editor.Plugin.ModellingWizard.PaneImage => null

Gets the image which should be used in the Header of the PlugIn window.

If no image is defined the editor uses a default image.

## Property Documentation

## AboutCommand

System.Windows.Input.ICommand?? Aml.Editor.Plugin.ModellingWizard.AboutCommand

get

The AboutCommand - Command

The about command.

## ActivatePlugin

PluginCommand Aml.Editor.Plugin.ModellingWizard.ActivatePlugin

get

Gets the Command to activate the PlugIn.

## CanClose

bool Aml.Editor.Plugin.ModellingWizard.CanClose

get

Gets a value indicating whether this UserControl could be closed from the Editor's WindowManager.

When a close occurs from the WindowManager, the StopCommand will be executed via the ExecuteCommand Method.

`true` if this instance can close; otherwise, `false`.

## Commands

List<PluginCommand> Aml.Editor.Plugin.ModellingWizard.Commands

get

Gets the List of commands, which are viewed in the PlugIn Menu in the Host Application

The command List.

## DisplayName

string Aml.Editor.Plugin.ModellingWizard.DisplayName

get

Gets the display name which is shown in the PlugIn Menu in the Host Application

The display name.

## IsActive

bool Aml.Editor.Plugin.ModellingWizard.IsActive

get

Gets a value indicating whether this instance is active.

The Property should be set to true in the StartCommand and set to false in the StopCommand

`true` if this instance is active; otherwise, `false`.

## IsAutoActive

bool Aml.Editor.Plugin.ModellingWizard.IsAutoActive

getset

Gets or sets a value indicating whether this instance is automatic active when loaded.

This value can be initially set and will be defined by the user.

## IsReactive

bool Aml.Editor.Plugin.ModellingWizard.IsReactive

get

Gets a value indicating whether this instance is reactive.

Reactive PlugIn will be notified, when the actual CAEX-Object changes (Selection of the Tree view Item) ChangeAMLFilePath and ChangeSelectedObject.

`true` if this instance is reactive; otherwise, `false`.

## IsReadonly

bool Aml.Editor.Plugin.ModellingWizard.IsReadonly

get

Gets a value indicating whether this instance is read only.

A Read only PlugIn should not change any CAEX Objects.

`true` if this instance is read only; otherwise, `false`.

## ReloadObjects

PluginCommand Aml.Editor.Plugin.ModellingWizard.ReloadObjects

get

Gets the Command to reload the AMLX Files in .

/modellingwizard/

## TerminatePlugin

PluginCommand Aml.Editor.Plugin.ModellingWizard.TerminatePlugin

get

Gets the terminate PlugIn command.

## Event Documentation

## PluginActivated

EventHandler Aml.Editor.Plugin.ModellingWizard.PluginActivated

Occurs when the PlugIn is activated (for example via the StartCommand ).

## PluginTerminated

EventHandler Aml.Editor.Plugin.ModellingWizard.PluginTerminated

Occurs when the PlugIn is deactivated (some UserInteraction inside the PlugIn or via the StopCommand ).

The documentation for this class was generated from the following file:

- ModellingWizard.xaml.cs